## ros-kinetic-scratch4robots 0.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(scratch4robots)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
    rospy
)

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## Generate messages in the 'msg' folder
#add_message_files(
    #DIRECTORY msg
    #FILES
    #Example.msg
#)

## Generate services in the 'srv' folder
#add_service_files(
    #DIRECTORY srv
    #FILES
    #Example.srv
#)

## Generate added messages and services with any dependencies listed here
#generate_messages()

###################################
## catkin specific configuration ##
###################################

## Declare things to be passed to dependent projects
catkin_package(
    INCLUDE_DIRS src
    CATKIN_DEPENDS rospy
    DEPENDS
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
    include src
    ${catkin_INCLUDE_DIRS}
)

catkin_install_python(PROGRAMS src/scratch4robots/scratch2python
                      DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

#############
## Testing ##
#############

## Add folders to be run by python nosetests
#catkin_add_nosetests(src/node/test.py)

#if(CATKIN_ENABLE_TESTING)
#    find_package(rostest REQUIRED)
#    add_rostest(test/.test)
#endif()

=== requirements.txt ===
parse==1.8.2
imutils==0.4.3

=== debian/changelog ===
ros-kinetic-scratch4robots (0.0.2-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Santiago Carrion <carrionvs@gmail.com>  Sun, 01 Jul 2018 18:23:56 -0000

=== debian/control ===
Source: ros-kinetic-scratch4robots
Section: misc
Priority: extra
Maintainer: Santiago Carrion <carrionvs@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-rospy, ros-kinetic-rostest, ros-kinetic-rosunit
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-scratch4robots
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-rospy
Description: scratch4robots

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-scratch4robots//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
